# TODO: %{_bindir}/event_rpcgen.py - rename to event_rpcgen?
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	libevent - an event notification library
Summary(pl.UTF-8):	libevent - biblioteka powiadamiająca o zdarzeniach
Name:		libevent
Version:	2.1.11
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/libevent/libevent/releases
Source0:	https://github.com/libevent/libevent/releases/download/release-%{version}-stable/%{name}-%{version}-stable.tar.gz
# Source0-md5:	7f35cfe69b82d879111ec0d7b7b1c531
Patch0:		%{name}-fpm.patch
Patch1:		%{name}-link.patch
URL:		http://libevent.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11.2
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	zlib-devel
Obsoletes:	libevent-dietlibc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The libevent API provides a mechanism to execute a callback function
when a specific event occurs on a file descriptor or after a timeout
has been reached. It is meant to replace the asynchronous event loop
found in event-driven network servers.

%description -l pl.UTF-8
API libevent dostarcza mechanizm do wykonywania funkcji callback,
kiedy nastąpiło określone zdarzenie w deskryptorze pliku lub po
określonym czasie. Ma to na celu zastąpienie asynchronicznych pętli w
sterowanych zdarzeniami usługach sieciowych.

%package devel
Summary:	Header files for libevent library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libevent
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-devel

%description devel
Header files for libevent library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libevent.

%package static
Summary:	Static libevent library
Summary(pl.UTF-8):	Statyczna biblioteka libevent
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libevent library.

%description static -l pl.UTF-8
Statyczna biblioteka libevent.

%prep
%setup -q -n %{name}-%{version}-stable
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/env python$,%{__python},' \
	event_rpcgen.py \
	test/check-dumpevents.py

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{_lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__mv} $RPM_BUILD_ROOT%{_libdir}/libevent-2.1.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(basename $RPM_BUILD_ROOT/%{_lib}/libevent-2.1.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libevent.so

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libevent*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog* LICENSE
%attr(755,root,root) /%{_lib}/libevent-2.1.so.*.*.*
%attr(755,root,root) %ghost /%{_lib}/libevent-2.1.so.7
%attr(755,root,root) %{_libdir}/libevent_core-2.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_core-2.1.so.7
%attr(755,root,root) %{_libdir}/libevent_extra-2.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_extra-2.1.so.7
%attr(755,root,root) %{_libdir}/libevent_openssl-2.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_openssl-2.1.so.7
%attr(755,root,root) %{_libdir}/libevent_pthreads-2.1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevent_pthreads-2.1.so.7

%files devel
%defattr(644,root,root,755)
# R: python
%attr(755,root,root) %{_bindir}/event_rpcgen.py
%attr(755,root,root) %{_libdir}/libevent.so
%attr(755,root,root) %{_libdir}/libevent_core.so
%attr(755,root,root) %{_libdir}/libevent_extra.so
%attr(755,root,root) %{_libdir}/libevent_openssl.so
%attr(755,root,root) %{_libdir}/libevent_pthreads.so
%{_includedir}/event2
%{_includedir}/evdns.h
%{_includedir}/event.h
%{_includedir}/evhttp.h
%{_includedir}/evrpc.h
%{_includedir}/evutil.h
%{_pkgconfigdir}/libevent.pc
%{_pkgconfigdir}/libevent_core.pc
%{_pkgconfigdir}/libevent_extra.pc
%{_pkgconfigdir}/libevent_openssl.pc
%{_pkgconfigdir}/libevent_pthreads.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libevent.a
%{_libdir}/libevent_core.a
%{_libdir}/libevent_extra.a
%{_libdir}/libevent_openssl.a
%{_libdir}/libevent_pthreads.a
%endif
%changelog
* Sun Apr 05 2020 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libevent.git;a=log;h=master

* Tue Feb 25 2020 Jakub Bogusz <qboosh@pld-linux.org> aec4dc1
- updated ac/am versions, simplified shebang fixes

* Thu Feb 06 2020 Arkadiusz Miśkiewicz <arekm@maven.pl> 949894d
- up to 2.1.11

* Sat Jun 29 2019 Jakub Bogusz <qboosh@pld-linux.org> ad7ddea
- updated to 2.1.10

* Fri Sep 14 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> db81511
- release 2 (by relup.sh)

* Thu Mar 30 2017 Jakub Bogusz <qboosh@pld-linux.org> 11336aa
- new Source URL, updated to 2.1.8 (note: new sonames)
- updated fpm,link patches
- drop .la files

* Sun Sep 06 2015 Jakub Bogusz <qboosh@pld-linux.org> d96362a
- updated to 2.0.22-stable (fixes CVE-2014-6272)
- remoevd obsolete am patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7190955
- x32 rebuild
- release 2 (by relup.sh)

* Tue Feb 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 17186ba
- added am patch (fixes build with automake 1.13)

* Tue Feb 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b651eab
- up to 2.0.21

* Wed Jan 18 2012 Jan Rękorajski <baggins@pld-linux.org> a999810
- rel 2
- moved libevent to / for NFS idmapd

* Sat Oct 01 2011 Jakub Bogusz <qboosh@pld-linux.org> b1fb8cb
- updated event_rpcgen todo

* Wed Sep 28 2011 lisu <lisu@pld-linux.org> 763304c
- updated to 2.0.14

* Thu Sep 22 2011 bszx <bszx@pld-linux.org> 0aefbee
- updated to 2.0.13

* Mon Jul 25 2011 Elan Ruusamäe <glen@pld-linux.org> cdd4e85
- restore (libevent-1.4.14.fb-changes.diff from hiphop-php/src/third_party)

* Tue Jun 07 2011 lisu <lisu@pld-linux.org> 9969752
- updated for 2.0.12

* Tue Jun 07 2011 lisu <lisu@pld-linux.org> 2a9f7cf
- updated to 2.0.12

* Sat Mar 19 2011 Jakub Bogusz <qboosh@pld-linux.org> 7cf3abb
- package docs, including LICENSE

* Mon Feb 28 2011 duddits <duddits@pld-linux.org> bf8a534
- commit log update (regarding dietlibc subpackage)

* Sun Feb 27 2011 Karol Krenski <charles@pld-linux.org> f0c985c
- updated BRs

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> 4fe092b
- restore rev 1.38
- O: libevent-dietlibc
- rel 2

